Subject: Re: cygwin nfs server
From: "boxforsr" <[email-masked]>
To: "Povolotsky, Alexander" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 27 Aug 2004 18:39:23 +0400

Still no portmap? that's impossible...

----- Original Message ----- 
From: "Povolotsky, Alexander" <[email-masked]>
To: "'boxforsr'" <[email-masked]>
Cc: <[email-masked]>; "'Hugh Sparks'" <[email-masked]>; "'Robb, Sam'"
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, August 27, 2004 6:00 PM
Subject: RE: cygwin nfs server

> Yes, I got this package downloaded/installed yesterday too.
> cygcheck -cd
> ...
> sunrpc                  4.0-2
> ...
> -----Original Message-----
> From: boxforsr [mailto:[email-masked]]
> Sent: Friday, August 27, 2004 9:47 AM
> To: Povolotsky, Alexander
> Cc: [email-masked]
> Subject: Re: cygwin nfs server
>
> Portmap is in another package... It is called SunRpc or smth....
>
> ----- Original Message ----- 
> From: "Povolotsky, Alexander" <[email-masked]>
> To: "'Hugh Sparks'" <[email-masked]>
> Cc: <[email-masked]>; "'Robb, Sam'" <[email-masked]>;
> <[email-masked]>; <[email-masked]>; <[email-masked]>
> Sent: Friday, August 27, 2004 5:05 PM
> Subject: RE: cygwin nfs server
>
> > Hello Hugh,
> >
> > I have:
> >
> >     cygrunsrv.exe (two of these - you have three instances ...)
> >     rpc.nfsd.exe
> >     rpc.mountd.exe
> >
> > I do not have PORTMAP.EXE !
> >
> > >Try exporting some directories and see if you can mount them from your
> > Unix/Linux machine.
> >
> > My Linux board is not ready yet (I am working now at home alone ... - no
> > other machines, besides the laptop and the board)
> >  - as soon as I will set my board up, I'll try.
> >
> > Thanks,
> > Best Regards,
> > Alex
> >
> > -----Original Message-----
> > From: Hugh Sparks [mailto:[email-masked]]
> > Sent: Friday, August 27, 2004 8:46 AM
> > To: Povolotsky, Alexander
> > Subject: Re: cygwin nfs server
> >
> >
> >
> > > When I look for installed services (I run Windows XP Pro):
> > > (Right click on "My Computer"->Manage->"Services and
> > Applications"->Services)
> > > in the list of services I see "Cygwin mountd" and "Cygwin nfsd" but I
> > don't
> > > see "Portmap" service (what is the exact name for that service ?).
> >
> > It shows up on my task list as "PORTMAP.EXE" (capital letters for some
> > reason.) It should get started automatically when nfsd and mountd are
> > started.
> >
> > > By the way, today I just rebooted my computer and now both "Cygwin
> mountd"
> > > and "Cygwin nfsd" (which are automatic) are shown as started and
running
> > ... .
> > > So does it mean I am OK now ?
> >
> > It sounds promising. Try exporting some directories and see if you can
> > mount them from your Unix/Linux machine.
> >
> > I looked at my task list when nfsd is running. The following things seem
> > to be nfs-related:
> >
> >     PORTMAP.EXE
> >     cygrunsrv.exe (three of these)
> >     rpc.nfsd.exe
> >     rpc.mountd.exe
> >
> > -Hugh Sparks, [email-masked]
> > -----Original Message-----
> > From: Povolotsky, Alexander
> > Sent: Friday, August 27, 2004 8:06 AM
> > To: 'Hugh Sparks'
> > Cc: 'Robb, Sam'; [email-masked]'
> > Subject: RE: cygrunsrv -S mountd fails: Error starting a service:
> > QueryServiceStatus: Win32 error 1062 ?
> >
> >
> > Hi Hugh,
> >
> > Yes, I did run nfs-server-config prior to cygrunsrv commands
> >
> > >It worked for me when I told it to install mountd, nfsd and portmap as
> > >Windows services NOT as inetd or xinetd services.
> >
> > but I ran it without any arguments - I am not sure how did you run it
per
> > above words of yours: "I told it" ?
> >
> > I have:
> >
> > nfs-server              2.2.47-2  (same as yours)
> > cygrunsrv               1.0-1     (you have 0.96-2)
> >
> > I just downloaded and installed those yesterday ...
> >
> > When I look for installed services (I ran Windows XP Pro):
> > (Right click on "My Computer"->Manage->"Services and Applications
> > "->Services)
> > in the list of services I see "Cygwin mountd" and "Cygwin nfsd" but I
> don't
> > see "Portmap" service (what is the exact name for that service ?).
> >
> > By the way, today I just rebooted my computer and now both "Cygwin
mountd"
> > and "Cygwin nfsd" (which are automatic) are shown as started and running
> ...
> > So does it mean I om OK now ?
> >
> > Thanks,
> > Alex
> >
> > -----Original Message-----
> > From: Hugh Sparks [mailto:[email-masked]]
> > Sent: Thursday, August 26, 2004 9:33 PM
> > To: Povolotsky, Alexander
> > Subject: Re: cygrunsrv -S mountd fails: Error starting a service:
> > QueryServiceStatus: Win32 error 1062 ?
> >
> >
> > >> Another idea: Take a look at this program:
> > >>
> > >>     /usr/bin/nfs-server-config
> >
> > I did run that program.
> >
> > It worked for me when I told it to install mountd, nfsd and portmap as
> > Windows services NOT as inetd or xinetd services.
> >
> > Use the "Task Damager" <Control><Alt><Delete> to see if you have the
> > portmap service running before you try to start nfsd or mountd. Start it
> > "by hand" if necessary.
> >
> > Also let me know if you have more recent software than I do.
> > If necessary, I will update my software to match yours and then
> > repeat the installation procedure to see what has broken.
> >
> > -Hugh Sparks, [email-masked]
> > -----Original Message-----
> > From: Hugh Sparks [mailto:[email-masked]]
> > Sent: Thursday, August 26, 2004 9:24 PM
> > To: Povolotsky, Alexander
> > Subject: Re: cygrunsrv -S mountd fails: Error starting a service:
> > QueryServiceStatus: Win32 error 1062 ?
> >
> >
> > > Do you have any idea (as an author of the "How To") ?
> >
> > > Cygwin mountd
> > > Cygwin nfsd
> >
> > I'll try to give you a longer reply tomorrow, but here are
> > some quick ideas:
> >
> > > Subject: cygrunsrv -S mountd fails: Error starting a service:
> > > QueryServiceStatus: Win32 error 1062 ?
> >
> > The services nfsd and mound both depend on the "portmap" service.
> > Your error "1062" translates to "The service has not been started."
> > My guess is that the portmap service is not installed or is not running.
> >
> > It might help me to know about the versions of the cygwin packages you
> > are using. I'm running:
> >
> >     nfs-server-2.2.47-2
> >     cygrunsrv-0.96-2
> >
> > If you have newer versions than I do, you may be seeing a new bugs
> > of some kind. If you have older packages, you may be seeing older
> > bugs that have been fixed.
> >
> > Another idea: Take a look at this program:
> >
> >     /usr/bin/nfs-server-config
> >
> > If you run this, it is supposed to help you configure the nfs server.
> > It's a shell script, so you can study what it is trying to do with your
> > text editor.
> >
> > I'll try to spend more time with you on this over the weekend.
> >
> > -Hugh Sparks, [email-masked]
> >
> > Hi Hugh,
> >
> > Do you have any idea (as an author of the "How To") ?
> >
> > By the way are your instructions in "How To" :
> > ************************
> > Starting the server
> > Run:
> >
> > Start Menu/Programs/Administrative Tools/Services There are three
> > services associated with NFS:
> >
> > Cygwin mountd
> > Cygwin nfsd
> > **************************
> > specifically Windows 2000 related ?
> >
> > On Windows XP the equivalent to above would be:
> >
> > Right click on "My Computer"->Manage->"Services and Applications
> "->Services
> >
> > Using above (as well as using alternative "cygrunsrv -S mountd" from the
> > cygwin shell - see below) fail start the "Cygwin mountd" service for me
> ...
> >
> > Thanks,
> > Alex
> > -----Original Message-----
> > From: Povolotsky, Alexander
> > Sent: Thursday, August 26, 2004 6:55 PM
> > To: [email-masked]'
> > Cc: [email-masked]'
> > Subject: cygrunsrv -S mountd fails: Error starting a service:
> > QueryServiceStatus: Win32 error 1062 ?
> >
> > Hi David,
> >
> > I am also getting the same error as you (an I also I have XP Pro) - did
> you
> > get any explanation for it ?
> >
> > apovolot@USPITLAD104868 /cygdrive/c/cygwin/etc
> > $ cygrunsrv -S portmap
> >
> > my entry in /etc/export is set to:
> > ~/fadsroot 192.168.0.0/255.255.255.0(ro, no_root_squash)
> >
> > but I do not have yet the board with IP address 192.168.0.0 configured
and
> > network connected to the laptop - so could I start mountd daemon
(service)
> ?
> > -
> >  when i do that I repeatedly get error ...
> >
> > apovolot@USPITLAD104868 /cygdrive/c/cygwin/etc
> > $ cygrunsrv -S mountd
> > cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error
1062
> > The service has not been started.
> >
> > System Event Viewer shows:
> > Event Type: Error
> > Event Source: Service Control Manager
> > Event Category: None
> > Event ID: 7034
> > Date: 8/26/2004
> > Time: 5:52:38 PM
> > User: N/A
> > Computer: ....
> >
> > The System event viewr's description (in Event Properties):
> > The Cygwin mountd service tterminated unexpectedly.
> > It has done this 1 time(s).
> >
> > Application Event Viewer shows:
> >
> > Type: Error
> > Date: 8/26/2004
> > Time: 5:52:37 PM
> > Source:     mountd
> > Category:   None
> > Event:      0
> > User:       SYSTEM
> > Computer:   ....
> >
> > The Application event viewr's description (in Event Properties):
> > The description for Event ID (0) in Source (mountd) cannot be found.
> > The local computer may not have necessary registry information or
> > message DLL file to display message from a remote computer.
> > ...
> > Thew following information is part of the event:
> > mountd: PID 288: unable to register (mountd,1,udp).
> >
> > ---------- Forwarded Message ----------
> > X-Sybari-Trust: b171f028 02c761e1 97645fcf 0000000c
> > From: "david" <arnette at freemail dot hu>
> > To: <cygwin at cygwin dot com>
> > Date: Sat, 21 Aug 2004 23:32:17 +0200
> > Subject: RE: sshD fails to start as a service
> > ....
> > On Wed, 9 Jun 2004, cygwin wrote:
> >
> > Dear Guys!
> >
> > I have the same problem, I have XP Pro. The portmap starts fine, but the
> > nfsd and the mountd give this error:
> >
> > cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error
> 1062:
> > The service has not been started.
> >
> > I run these commands but the problem still exists.
> > chmod 755 /usr/sbin/* /usr/bin/*
> > eval "`mount -m | sed 's/ -u / -s /'`"
> >
> > I don't know what happened with the XP or the Cygwin, I used the nfsd
and
> > mountd without problems earlier.
> >
> > Thanks a lot!
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Problem reports:       http://cygwin.com/problems.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/